#pragma once

enum operationsMask explicit
	checkAge = &B00000001
	linkObjects = &B00000010
	dllOutput = &B00000100
	ignoreMe = &B00001000
	recursive = &B00010000
	outputType = &B00100000
	executeNAO = &B10000000
end enum

dim shared as byte operations
dim shared as ZString ptr outputPath
dim shared as ZString ptr inputPath
dim shared as ZString ptr entryPoint ' The entry point.

dim entryLength as const ulong = 255

' Base this on your system's restrictions.
#IF DEFINED (__FB_DOS__) OR DEFINED (__FB_WIN32__)
	#define maxPath 256
#ELSEIF DEFINED (__FB_LINUX__) or DEFINED (__FB_UNIX__) ' Unix might be incorrect here.
	#define maxPath 4096
#ELSE
	' Emergency fallback.
	#define maxPath 127
	#define FALLBACK
	#print This is stupid. Fallback initiated. Why is the target not set?
#ENDIF

#IFNDEF maxPath
	#error Max path not set. How do you expect this to work?
#ENDIF

declare sub processArgs(ByVal argumentCount as integer, ByVal argumentValues as ZString Ptr Ptr)